/**
 * Copyright (c) 2023, WSO2 LLC. (https://www.wso2.com). All Rights Reserved.
 *
 * This software is the property of WSO2 LLC. and its suppliers, if any.
 * Dissemination of any information or reproduction of any material contained
 * herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 * You may not alter or remove any copyright or other notice from copies of this content.
 */

/** 
 * Policy type enum.
 */
export enum PolicyType {
    /**
     * User based policy.
     */
    USER_BASED = "user",
    /**
     * Application based policy.
     */
    APPLICATION_BASED = "application"
}

/**
 * User based policy type enum.
 */
export enum UserBasedPolicyType {
    /**
     * Role based policy.
     */
    ROLE_BASED = "role",
    /**
     * Consent based policy.
     */
    CONSENT_BASED = "consent"
}

/*
 * API Authorization constants.
 */
export class APIAuthorizationConstants {

    /**
     * Client credentials grant type string.
     */
    public static readonly CLIENT_CREDENTIALS_GRANT_TYPE: string = "client_credentials";
}
